apiVersion: networking.internal.knative.dev/v1alpha1
kind: Ingress
metadata:
  annotations:
    networking.knative.dev/ingress.class: example.com
    serving.knative.dev/creator: kube:admin
    serving.knative.dev/lastModifier: kube:admin
  creationTimestamp: "2019-11-14T14:17:18Z"
  generation: 7
  labels:
    serving.knative.dev/route: stock-service-example
    serving.knative.dev/routeNamespace: default
    serving.knative.dev/service: stock-service-example
  name: stock-service-example
  ownerReferences:
  - apiVersion: serving.knative.dev/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: Route
    name: stock-service-example
    uid: 686fc800-06e9-11ea-93e6-023a1aa1d7cd
  resourceVersion: "33763"
  selfLink: /apis/networking.internal.knative.dev/v1alpha1/namespaces/default/ingresses/stock-service-example
  uid: 772f73ec-06e9-11ea-93e6-023a1aa1d7cd
spec:
  rules:
  - hosts:
    - stock-service-example.default.svc.cluster.local
    - stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-first
          percent: 50
          serviceName: stock-service-example-first
          serviceNamespace: default
          servicePort: 80
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-second
          percent: 50
          serviceName: stock-service-example-second
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  - hosts:
    - first-stock-service-example.default.svc.cluster.local
    - first-stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-first
          percent: 100
          serviceName: stock-service-example-first
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  - hosts:
    - firstandhalf-stock-service-example.default.svc.cluster.local
    - firstandhalf-stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-first
          percent: 100
          serviceName: stock-service-example-first
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  - hosts:
    - fourth-stock-service-example.default.svc.cluster.local
    - fourth-stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-fourth
          percent: 100
          serviceName: stock-service-example-fourth
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  - hosts:
    - second-stock-service-example.default.svc.cluster.local
    - second-stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-second
          percent: 100
          serviceName: stock-service-example-second
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  - hosts:
    - third-stock-service-example.default.svc.cluster.local
    - third-stock-service-example.default.apps.knrh8-6-ocf-ocp4-aws-kn-rhel8-mvinkler.openshift-aws.rhocf-dev.com
    http:
      paths:
      - retries:
          attempts: 3
          perTryTimeout: 10m0s
        splits:
        - appendHeaders:
            Knative-Serving-Namespace: default
            Knative-Serving-Revision: stock-service-example-third
          percent: 100
          serviceName: stock-service-example-third
          serviceNamespace: default
          servicePort: 80
        timeout: 10m0s
    visibility: ExternalIP
  visibility: ExternalIP
status:
  conditions:
  - lastTransitionTime: "2019-11-14T14:20:56Z"
    status: "True"
    type: LoadBalancerReady
  - lastTransitionTime: "2019-11-14T14:17:18Z"
    status: "True"
    type: NetworkConfigured
  - lastTransitionTime: "2019-11-14T14:20:56Z"
    status: "True"
    type: Ready
  loadBalancer:
    ingress:
    - domainInternal: istio-ingressgateway.knative-serving-ingress.svc.cluster.local
  observedGeneration: 7
  privateLoadBalancer:
    ingress:
    - domainInternal: cluster-local-gateway.knative-serving-ingress.svc.cluster.local
  publicLoadBalancer:
    ingress:
    - domainInternal: istio-ingressgateway.knative-serving-ingress.svc.cluster.local
